Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dioscuri.interfaces
Enum Module.Type

    java.lang.Object
      java.lang.Enum<Module.Type>
          dioscuri.interfaces.Module.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Module.Type>

Enclosing interface:
  Module

    public static enum Module.Type

extends java.lang.Enum<Module.Type>

The Type of a Module.

Enum Constant Summary
`ATA`
`BIOS`
`BOOT`
`CLOCK`
`CPU`
`DEVICE`
`DMA`
`DMACONTROLLER`
`DUMMY`
`FDC`
`KEYBOARD`
`MEMORY`
`MOTHERBOARD`
`MOUSE`
`PARALLELPORT`
`PCI`
`PIC`
`PIT`
`RTC`
`SCREEN`
`SERIALPORT`
`VIDEO`
`VNC`

Method Summary
`static Module.Type` | `resolveType(java.lang.String strType)` Returns the Type based on a given String.
`static Module.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Module.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATA

    public static final Module.Type ATA

### BOOT

    public static final Module.Type BOOT

### BIOS

    public static final Module.Type BIOS

### CLOCK

    public static final Module.Type CLOCK

### CPU

    public static final Module.Type CPU

### DEVICE

    public static final Module.Type DEVICE

### DMA

    public static final Module.Type DMA

### DMACONTROLLER

    public static final Module.Type DMACONTROLLER

### DUMMY

    public static final Module.Type DUMMY

### FDC

    public static final Module.Type FDC

### KEYBOARD

    public static final Module.Type KEYBOARD

### MEMORY

    public static final Module.Type MEMORY

### MOTHERBOARD

    public static final Module.Type MOTHERBOARD

### MOUSE

    public static final Module.Type MOUSE

### PARALLELPORT

    public static final Module.Type PARALLELPORT

### PCI

    public static final Module.Type PCI

### PIC

    public static final Module.Type PIC

### PIT

    public static final Module.Type PIT

### RTC

    public static final Module.Type RTC

### SCREEN

    public static final Module.Type SCREEN

### SERIALPORT

    public static final Module.Type SERIALPORT

### VIDEO

    public static final Module.Type VIDEO

### VNC

    public static final Module.Type VNC

Method Detail

### values

    public static Module.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Module.Type c : Module.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Module.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### resolveType

    public static Module.Type resolveType(java.lang.String strType)

  Returns the Type based on a given String.

  Parameters:
    `strType` - the String representation of the Type to be fetched.
  Returns:
    the Type based on a given String, 'strType', or null if 'strType' is not present in the set of enums.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD